import 'package:json_annotation/json_annotation.dart';
part 'register_param.g.dart';

/// class or model register ///
@JsonSerializable()
class RegisterParam{
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'from')
  final String from;

  @JsonKey(name: 'to')
  final String to;

  @JsonKey(name: 'isCalling')
  final bool isCalling;

  RegisterParam({required this.id, required this.from, required this.to, required this.isCalling});

  factory RegisterParam.fromJson(Map<String, dynamic> json) => _$RegisterParamFromJson(json);

  Map<String, dynamic> toJson() => _$RegisterParamToJson(this);
}