import 'package:json_annotation/json_annotation.dart';
part 'consultation.g.dart';

/// model for consultation data ///
@JsonSerializable()
class Consultation{
  @JsonKey(name: 'consultationId')
  final String consultationId;

  @JsonKey(name: 'callerUUID')
  final String callerUUID;

  @JsonKey(name: 'calleeUUID')
  final String calleeUUID;

  Consultation({required this.consultationId, required this.callerUUID, required this.calleeUUID});

  factory Consultation.fromJson(Map<String, dynamic> json) => _$ConsultationFromJson(json);

  Map<String, dynamic> toJson() => _$ConsultationToJson(this);
}